#pragma once

#include <TemperatureSensor.h>

class TempSensor : public TemperatureSensor {
public:
    TempSensor(short id) :
        TemperatureSensor(id) {
    }

    virtual void setup() = 0;
    virtual bool readTemp() = 0;
    virtual void sendValues(bool voltage = false) = 0;
    virtual void turnOnSensor() {}
    virtual void turnOffSensor() {}
};
